/*+++*
 *  title:	CommandKeys.h
 *  abstract:	Interface of CommandKeys class for CommandKeys.preferences.
 *  author:	Tom Hageman <tom@basil.icce.rug.nl>
 *  created:	March 1999
 *  modified:	(see RCS Log at end)
 *  copyright:
 *
 *		Copyright (C) 1999  Tom R. Hageman.
 *
 *	This is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This software is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this software; see the file COPYING.  If not, write to
 *	the Free Software Foundation, 59 Temple Place - Suite 330,
 *	Boston, MA 02111-1307, USA.
 *
 *  description:
 *
 *      This module defines the following classes:
 *      - CommandKeys
 *---*/

#ifdef RCS_CommandKeys_ID
static const char * const RCS_h_id = ((void)&RCS_h_id,
	"@(#)CommandKeys.h,v 1.6 1999/04/17 18:52:15 tom Exp");
#endif

#import <appkit/appkit.h>
#import <apps/Preferences.h>

@class DefaultsHandler;
@class CommandKeysBrowserCell;


@interface CommandKeys : Layout
{
    id	window;
    id	infoPanel;
    id	infoVersionTextField;
    id	browserHelper;
    id	detailBrowserHelper;
    id	commandText;
    id	keyEquivText;

    DefaultsHandler *defaultsHandler;
    CommandKeysBrowserCell *selectedOwnerCell;

    HashTable *systemCommandKeyHash;
}

- commandKeySelected:sender;
- prefSelected:sender;
- rescanPrefs:sender;

@end // CommandKeys
