/*+++*
 *  title:	CommandKeysItem.h
 *  abstract:	Interface of CommandKeysItem class for CommandKeys preferences.
 *  author:	Tom Hageman <tom@basil.icce.rug.nl>
 *  created:	March 1999
 *  modified:	(see RCS Log at end)
 *  copyright:
 *
 *		Copyright (C) 1999  Tom R. Hageman.
 *
 *	This is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This software is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this software; see the file COPYING.  If not, write to
 *	the Free Software Foundation, 59 Temple Place - Suite 330,
 *	Boston, MA 02111-1307, USA.
 *
 *  description:
 *
 *      This module defines the following classes:
 *      - CommandKeysItem
 *
 *      Just a simple data container.
 *---*/

#ifdef RCS_CommandKeysItem_ID
static const char * const RCS_h_id = ((void)&RCS_h_id,
	"@(#)CommandKeysItem.h,v 1.2 1999/04/17 18:52:18 tom Exp");
#endif

#import <objc/Object.h>


@interface CommandKeysItem : Object
{
    const char *command;
    unsigned short keyEquivalent;
}

- initWithCommand:(const char *)aCommand
    keyEquivalent:(unsigned short)aKeyEquivalent;

- (const char *)command;

- (unsigned short)keyEquivalent;
- (void)setKeyEquivalent:(unsigned short)aKeyEquivalent;

- (BOOL)isEqualToCommandKeysItem:(CommandKeysItem *)anItem;

@end // CommandKeysItem
