/*+++*
 *  title:	CommandKeysMenuBrowserCell.h
 *  abstract:	Interface of CommandKeysMenuBrowserCell class for CommandKeys.preferences.
 *  author:	Tom Hageman <tom@basil.icce.rug.nl>
 *  created:	March 1999
 *  modified:	(see RCS Log at end)
 *  copyright:
 *
 *		Copyright (C) 1999  Tom R. Hageman.
 *
 *	This is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This software is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this software; see the file COPYING.  If not, write to
 *	the Free Software Foundation, 59 Temple Place - Suite 330,
 *	Boston, MA 02111-1307, USA.
 *
 *  description:
 *
 *      This module defines the following classes:
 *      - CommandKeysMenuBrowserCell
 *---*/

#ifdef RCS_CommandKeysMenuBrowserCell_ID
static const char * const RCS_h_id = ((void)&RCS_h_id,
	"@(#)CommandKeysMenuBrowserCell.h,v 1.1 1999/03/28 17:37:37 tom Exp");
#endif

#import <appkit/appkit.h>


@interface CommandKeysMenuBrowserCell : NXBrowserCell
{
    unsigned short keyEquivalent;
}

- (void)setKeyEquivalent:(unsigned short)aKeyEquivalent;
- (unsigned short)keyEquivalent;

- drawInside:(const NXRect *)cellFrame inView:controlView;

@end // CommandKeysMenuBrowserCell
